You are not logged in.

#1 2013-03-20 12:19:31

jakobcreutzfeldt
Member
Registered: 2011-05-12
Posts: 1,033

[solved] Correcting a version number in a newly adopted AUR package

I've just adopted a bunch of AUR packages. One of them, babel-if has the wrong version number. The PKGBUILD says version 1.10. The software's website gives no version number but the README inside the archive says it's version 0.2b, as does the output of the program's "-h" commandline option. I have no idea where this 1.10 came from but I believe it to be completely wrong.

I would like to do a new release of the PKGBUILD since it does some wrong things and it doesn't do some other things that it should. I would like to correct the version number while I'm at it but I'm afraid that it would cause problems for anyone that has it installed (if there is anyone), since it would effectively look like a downgrade.

What would be the best way to approach this?

Last edited by jakobcreutzfeldt (2013-03-20 15:22:08)

Offline

#2 2013-03-20 12:52:13

Raynman
Member
Registered: 2011-10-22
Posts: 1,074

Re: [solved] Correcting a version number in a newly adopted AUR package

Online

#3 2013-03-20 13:04:51

jakobcreutzfeldt
Member
Registered: 2011-05-12
Posts: 1,033

Re: [solved] Correcting a version number in a newly adopted AUR package

Raynman wrote:

Ok thanks. I completely missed that.

Offline

Board footer

Powered by FluxBB